#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,a,mi,ma,i;
    scanf("%d %d",&n,&x);
    scanf("%d",&a);
    ma=a;
    mi=a;
    for(i=1;i<n;i++)
    {
        scanf("%d",&a);
        if(a>ma)
        {
            ma=a;
        }
        if(a<mi)
        {
            mi=a;
        }
    }
    if(abs(x-mi)<abs(ma-x))
    {
        i=abs(x-mi)+abs(ma-mi);
    }
    if(abs(x-mi)>abs(ma-x))
    {
        i=abs(x-ma)+abs(ma-mi);
    }
    printf("%d",i);
    return 0;
}